Create
curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/tool_gates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"displayName": "<string>",
"grantPolicyId": "<string>",
"description": "<string>",
"enabled": true,
"filter": {
"celExpression": "<string>"
},
"managedByGuardrails": true,
"priority": 123
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/tool_gates"
payload = {
"displayName": "<string>",
"grantPolicyId": "<string>",
"description": "<string>",
"enabled": True,
"filter": { "celExpression": "<string>" },
"managedByGuardrails": True,
"priority": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
displayName: '<string>',
grantPolicyId: '<string>',
description: '<string>',
enabled: true,
filter: {celExpression: '<string>'},
managedByGuardrails: true,
priority: 123
})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/tool_gates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"toolGate": {
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"displayName": "<string>",
"enabled": true,
"filter": {
"builtInPattern": "TOOL_GATE_BUILT_IN_PATTERN_UNSPECIFIED",
"celExpression": "<string>"
},
"grantPolicyId": "<string>",
"id": "<string>",
"managedByGuardrails": true,
"priority": 123,
"tenantId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
}Tool Gates
Create
Create creates a tool gate.
POST
/
api
/
v1
/
tool_gates
Create
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Body
application/json
The ToolGatesServiceCreateRequest message.
The displayName field.
The grantPolicyId field.
The description field.
The enabled field.
The ToolGateFilter message.
Show child attributes
Show child attributes
The managedByGuardrails field.
The priority field.
Response
200 - application/json
Successful response
The ToolGatesServiceCreateResponse message.
The ToolGate message.
Show child attributes
Show child attributes
Was this page helpful?